## v4l2loopback 0.3.1

=== Makefile ===
KERNEL_VERSION	:= `uname -r`
KERNEL_DIR	:= /lib/modules/$(KERNEL_VERSION)/build

PWD		:= $(shell pwd)

obj-m		:= v4l2loopback.o

all: v4l2loopback
v4l2loopback:
	@echo "Building vloopback driver..."
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules
install:
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules_install
	depmod -ae
clean:
	rm -f *~
	rm -f Module.symvers Module.markers modules.order
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) clean

=== debian/changelog ===
v4l2loopback (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #598241)

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Wed, 13 Oct 2010 11:30:09 +0200

=== debian/control ===
Source: v4l2loopback
Section: graphics
Priority: extra
Maintainer: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Build-Depends: cdbs (>= 0.4.53),
 debhelper (>= 7.0.1),
 dh-buildinfo,
	bzip2
Standards-Version: 3.9.1
Homepage: http://github.com/umlaeute/v4l2loopback
Vcs-Git: git://git.debian.org/collab-maint/v4l2loopback.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/v4l2loopback.git;a=summary

Package: v4l2loopback-source
Architecture: all
Depends: ${misc:Depends},
	debhelper (>= 7),
	make, 
	bzip2
Recommends: module-assistant
Description: source for the v4l2loopback driver
 This module allows you to create "virtual video devices".
 Normal (v4l2) applications will read these devices as if they were ordinary
 video devices, but the video will not be read from e.g. a capture card but
 instead it is generated by another application.
 .
 This package provides the source code for the v4l2loopback kernel modules.
 The v4l2loopback package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2008 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
# Copyright © 2010 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for v4l2loopback-sorce
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk

install/v4l2loopback-source::

	# install source code and create directory
	install -D -m 0755  Makefile \
		debian/tmp/modules/v4l2loopback/Makefile
	install -m 0644  v4l2loopback.c \
		debian/tmp/modules/v4l2loopback/

	# Enforce executable bit on debian/rules, and create directory
	# structure for modules source
	install -D -m 0755 debian/rules.modules \
		debian/tmp/modules/v4l2loopback/debian/rules
	# Prepare the other debian stuff
	for f in *.modules.in control compat copyright changelog README.Debian; do \
		install -m 0644 debian/$$f \
			debian/tmp/modules/v4l2loopback/debian/; \
	done
	# Prepare the debian source tarball
	tar jcf debian/v4l2loopback-source/usr/src/v4l2loopback.tar.bz2 \
		-C debian/tmp modules

=== debian/watch ===
version=3
opts="uversionmangle=s/^\/v//" \
http://githubredir.debian.net/github/umlaeute/v4l2loopback (.*).tar.gz

## v4l2loopback 0.4.0

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,12 @@
 
 obj-m		:= v4l2loopback.o
 
+
+MODULE_OPTIONS = devices=2
+
 all: v4l2loopback
 v4l2loopback:
-	@echo "Building vloopback driver..."
+	@echo "Building v4l2-loopback driver..."
 	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules
 install:
 	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules_install
@@ -16,3 +19,8 @@
 	rm -f *~
 	rm -f Module.symvers Module.markers modules.order
 	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) clean
+
+modprobe: v4l2loopback
+	modprobe videodev
+	-rmmod v4l2loopback
+	insmod ./v4l2loopback.ko $(MODULE_OPTIONS)

=== examples/Makefile ===
test: test.c

=== debian/changelog ===
v4l2loopback (0.4.0-1) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * new upstream release
  * DKMS support
  * install upstream documentation into final package
  * debian/README
     * note on using module-assistant
  * debian/README.source
     * deleted as it is unused
  * debian/watch
     * versionmangle to get rid of 'master' autotag
  * debian/control.in: 
     * fixed long description
     * shortened VCS link
     * indentation of deps
  * debian/control.modules.in: added homepage field
  * debian/copyright: 
     * switch to DEP5
     * use cdbs/utils for automated copyright checks

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Tue, 29 Mar 2011 14:54:13 +0200

v4l2loopback (0.3-1) unstable; urgency=low

  * Initial release (Closes: #598241)

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 08 Oct 2010 15:11:19 +0200

=== debian/control ===
Source: v4l2loopback
Section: graphics
Priority: extra
Maintainer: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 devscripts (>= 2.10.7~),
 dkms,
 bzip2
Standards-Version: 3.9.1
Homepage: http://github.com/umlaeute/v4l2loopback
Vcs-Git: git://git.debian.org/collab-maint/v4l2loopback
Vcs-Browser: http://git.debian.org/?p=collab-maint/v4l2loopback.git;a=summary

Package: v4l2loopback-source
Architecture: all
Depends: ${misc:Depends},
 debhelper (>= 7),
 make, 
 bzip2
Recommends: module-assistant
Description: Source for the v4l2loopback driver
 This module allows you to create "virtual video devices".
 Normal (v4l2) applications will read these devices as if they were ordinary
 video devices, but the video will not be read from e.g. a capture card but
 instead it is generated by another application.
 .
 This package provides the source code for the v4l2loopback kernel modules.

Package: v4l2loopback-dkms
Architecture: all
Depends: ${misc:Depends}
Description: Source for the v4l2loopback driver (DKMS)
 This module allows you to create "virtual video devices".
 Normal (v4l2) applications will read these devices as if they were ordinary
 video devices, but the video will not be read from e.g. a capture card but
 instead it is generated by another application.
 .
 This package provides the source code for the v4l2loopback kernel modules
 to be build with dkms.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2008 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
-# Copyright © 2010 IOhannes m zmölnig <zmoelnig@iem.at>
+# Copyright © 2010-2011 IOhannes m zmölnig <zmoelnig@iem.at>
 # Description: Main Debian packaging script for v4l2loopback-sorce
 #
 # This program is free software; you can redistribute it and/or
@@ -18,6 +18,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/utils.mk
 
 install/v4l2loopback-source::
 
@@ -26,16 +27,29 @@
 		debian/tmp/modules/v4l2loopback/Makefile
 	install -m 0644  v4l2loopback.c \
 		debian/tmp/modules/v4l2loopback/
+	install -m 0644  README NEWS AUTHORS ChangeLog \
+		debian/tmp/modules/v4l2loopback/
 
 	# Enforce executable bit on debian/rules, and create directory
 	# structure for modules source
 	install -D -m 0755 debian/rules.modules \
 		debian/tmp/modules/v4l2loopback/debian/rules
 	# Prepare the other debian stuff
-	for f in *.modules.in control compat copyright changelog README.Debian; do \
+	for f in *.modules.in control compat copyright changelog docs README.Debian; do \
 		install -m 0644 debian/$$f \
 			debian/tmp/modules/v4l2loopback/debian/; \
 	done
 	# Prepare the debian source tarball
 	tar jcf debian/v4l2loopback-source/usr/src/v4l2loopback.tar.bz2 \
 		-C debian/tmp modules
+
+debian/v4l2loopback-dkms.dkms: debian/v4l2loopback-dkms.dkms.in
+	sed s/@VERSION@/$(DEB_UPSTREAM_VERSION)/g $< > $@
+
+install/v4l2loopback-dkms:: debian/v4l2loopback-dkms.dkms
+	# Create the v4l2loopback-dkms package.
+	dh_install -p$(cdbs_curpkg) Makefile usr/src/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
+	dh_install -p$(cdbs_curpkg) *.[chS]  usr/src/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
+	dh_dkms -p$(cdbs_curpkg)
+	-rm $<
+

## v4l2loopback 0.4.1

=== debian/changelog ===
v4l2loopback (0.4.1-1) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.4.1
  * Provide a BUILT_MODULE_NAME (to keep dkms happy)
  * Install ChangeLog as changelog
  * Updated Vcs stanzas
  * Bumped standards to 3.9.2

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Mon, 28 Nov 2011 13:43:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: graphics
 Priority: extra
 Maintainer: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
-Build-Depends: cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+Build-Depends: cdbs (>= 0.4.72~),
+ debhelper,
  dh-buildinfo,
- devscripts (>= 2.10.7~),
+ devscripts,
  dkms,
  bzip2
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://github.com/umlaeute/v4l2loopback
-Vcs-Git: git://git.debian.org/collab-maint/v4l2loopback
-Vcs-Browser: http://git.debian.org/?p=collab-maint/v4l2loopback.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/v4l2loopback
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/v4l2loopback.git
 
 Package: v4l2loopback-source
 Architecture: all

## v4l2loopback 0.5.0

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) clean
 
 modprobe: v4l2loopback
-	modprobe videodev
-	-rmmod v4l2loopback
-	insmod ./v4l2loopback.ko $(MODULE_OPTIONS)
+	chmod a+r v4l2loopback.ko
+	sudo modprobe videodev
+	-sudo rmmod $<
+	sudo insmod ./v4l2loopback.ko $(MODULE_OPTIONS)

=== debian/changelog ===
v4l2loopback (0.5.0-1) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.5.0

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Mon, 02 Jan 2012 18:57:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: graphics
 Priority: extra
 Maintainer: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
-Build-Depends: cdbs (>= 0.4.72~),
- debhelper,
+Build-Depends: debhelper,
  dh-buildinfo,
+ cdbs (>= 0.4.69~),
  devscripts,
  dkms,
  bzip2

## v4l2loopback 0.6.1

=== Makefile ===
KERNEL_VERSION	:= `uname -r`
KERNEL_DIR	:= /lib/modules/$(KERNEL_VERSION)/build
PWD		:= $(shell pwd)
obj-m		:= v4l2loopback.o

PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man
MAN1DIR = $(MANDIR)/man1
INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 755
INSTALL_DIR     = $(INSTALL) -p -m 755 -d
INSTALL_DATA    = $(INSTALL) -m 644

MODULE_OPTIONS = devices=2

##########################################
# note on build targets
#
# module-assistant makes some assumptions about targets, namely
#  <modulename>: must be present and build the module <modulename>
#                <modulename>.ko is not enough
# install: must be present (and should only install the module)
#
# we therefore make <modulename> a .PHONY alias to <modulename>.ko
# and remove utils-installation from 'install'
# call 'make install-all' if you want to install everything
##########################################


.PHONY: all install clean distclean
.PHONY: install-all install-utils install-man
.PHONY: modprobe v4l2loopback

all: v4l2loopback.ko
v4l2loopback: v4l2loopback.ko
v4l2loopback.ko:
	@echo "Building v4l2-loopback driver..."
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules
install-all: install install-utils install-man
install:
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules_install
	depmod -ae
install-utils: utils/v4l2loopback-ctl
	$(INSTALL_DIR) "$(DESTDIR)$(BINDIR)"
	$(INSTALL_PROGRAM) $< "$(DESTDIR)$(BINDIR)"
install-man: man/v4l2loopback-ctl.1
	$(INSTALL_DIR) "$(DESTDIR)$(MAN1DIR)"
	$(INSTALL_DATA) $< "$(DESTDIR)$(MAN1DIR)"
clean:
	rm -f *~
	rm -f Module.symvers Module.markers modules.order
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) clean
distclean: clean
	rm -f man/v4l2loopback-ctl.1

modprobe: v4l2loopback.ko
	chmod a+r v4l2loopback.ko
	sudo modprobe videodev
	-sudo rmmod v4l2loopback
	sudo insmod ./v4l2loopback.ko $(MODULE_OPTIONS)


man/v4l2loopback-ctl.1: utils/v4l2loopback-ctl
	help2man -N --name "control v4l2 loopback devices" $^ > $@

=== debian/changelog ===
v4l2loopback (0.6.1-1) unstable; urgency=low

  [ IOhannes m zmoelnig ]
  * Imported Upstream version 0.6.1

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 27 Apr 2012 17:45:21 +0200

v4l2loopback (0.6.0-1) UNRELEASED; urgency=low

  [ IOhannes m zmoelnig ]
  * Imported Upstream version 0.6.0
  * Added v4l2loopback-utils package (suggested by dkms/modules packages)
  * Updated debian/copyright
  * Regenerated debian/(control|copyright_hints)
  * Bumped standards to 3.9.3

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 27 Apr 2012 15:08:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
  dh-buildinfo,
  cdbs (>= 0.4.69~),
  devscripts,
+ help2man (>= 1.37.1~),
  dkms,
  bzip2
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://github.com/umlaeute/v4l2loopback
 Vcs-Git: git://anonscm.debian.org/collab-maint/v4l2loopback
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/v4l2loopback.git
@@ -31,6 +32,7 @@
 Package: v4l2loopback-dkms
 Architecture: all
 Depends: ${misc:Depends}
+Suggests: v4l2loopback-utils
 Description: Source for the v4l2loopback driver (DKMS)
  This module allows you to create "virtual video devices".
  Normal (v4l2) applications will read these devices as if they were ordinary
@@ -39,3 +41,15 @@
  .
  This package provides the source code for the v4l2loopback kernel modules
  to be build with dkms.
+
+Package: v4l2loopback-utils
+Architecture: all
+Depends: ${misc:Depends},
+ gstreamer0.10-tools,
+ v4l-utils
+Recommends: v4l2loopback-dkms |  v4l2loopback-modules
+Description: Commandline utilities for the for the v4l2-loopback module
+ v4l2loopback-utils contains the following video4linux command line utilities:
+ .
+ v4l2loopback-ctl: tool to set framerate, format and timeout image
+

=== debian/rules ===
--- 
+++ 
@@ -53,3 +53,12 @@
 	dh_dkms -p$(cdbs_curpkg)
 	-rm $<
 
+## building manpages
+CDBS_BUILD_DEPENDS += , help2man (>= 1.37.1~)
+manpages=man/v4l2loopback-ctl.1
+common-binary-indep:: $(manpages)
+clean::
+	rm -f $(manpages)
+
+man/v4l2loopback-ctl.1: utils/v4l2loopback-ctl
+	help2man -N --name "control v4l2 loopback devices" $^ > $@

## v4l2loopback 0.7.0

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,10 @@
 .PHONY: install-all install-utils install-man
 .PHONY: modprobe v4l2loopback
 
+# we don't control the .ko file dependencies, as it is done by kernel
+# makefiles. therefore v4l2loopback.ko is a phony target actually
+.PHONY: v4l2loopback.ko
+
 all: v4l2loopback.ko
 v4l2loopback: v4l2loopback.ko
 v4l2loopback.ko:

=== debian/changelog ===
v4l2loopback (0.7.0-1) unstable; urgency=low

  [ IOhannes m zmoelnig ]
  * Imported Upstream version 0.7.0
  * Removed patches applied upstream
  * Updated copyright information
  * Regenerated debian/(control|copyright_hints)
  * Bumped standards version to 3.9.4
  * Fixed spelling in package description
  * Longer description for v4l2loopback-utils

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 07 Jun 2013 15:28:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: graphics
 Priority: extra
 Maintainer: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
-Build-Depends: debhelper,
+Build-Depends: cdbs,
+ debhelper,
  dh-buildinfo,
- cdbs (>= 0.4.69~),
  devscripts,
  help2man (>= 1.37.1~),
  dkms,
  bzip2
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/umlaeute/v4l2loopback
 Vcs-Git: git://anonscm.debian.org/collab-maint/v4l2loopback
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/v4l2loopback.git
@@ -40,7 +40,7 @@
  instead it is generated by another application.
  .
  This package provides the source code for the v4l2loopback kernel modules
- to be build with dkms.
+ to be built with dkms.
 
 Package: v4l2loopback-utils
 Architecture: all
@@ -49,7 +49,9 @@
  v4l-utils
 Recommends: v4l2loopback-dkms |  v4l2loopback-modules
 Description: Commandline utilities for the for the v4l2-loopback module
- v4l2loopback-utils contains the following video4linux command line utilities:
+ This package contains applications to interact with v4l2-loopback devices
+ ("virtual video devices").
+ Currently there is only a single command line utility:
  .
  v4l2loopback-ctl: tool to set framerate, format and timeout image

## v4l2loopback 0.8.0

=== examples/Makefile ===
TARGETS=test yuv4mpeg_to_v4l2

.PHONY: all clean

all: $(TARGETS)

clean:
	-rm $(TARGETS)

=== debian/changelog ===
v4l2loopback (0.8.0-1) unstable; urgency=medium

  * Imported Upstream version 0.8.0
  * Use upstream's dkms.conf
    + Stop generating local dkms.conf file
  * Fixed my name in the modules' control-file
  * Used section "kernel" for kernel-modules
  * Raised priority to "optional"
  * Updated debian/(control,copyright,copyright_hints)
  * Bumped Standards-Version to 3.9.5

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Fri, 13 Dec 2013 14:54:10 +0100

v4l2loopback (0.7.1-1) unstable; urgency=low

  * Imported Upstream version 0.7.1
   - fix LP: #1112644, LP: #1175046, LP: #1182622, LP: #1184444, LP: #1186281,
     LP: #1186595, LP: #1190382, LP: #1214700, LP: #1219622, LP: #1223742.
  * Updated debian/changelog
  * Added Aidan Thornton to copyright-holders
  * Regenerated debian/{control,copyright_hints}

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Mon, 23 Sep 2013 18:11:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: v4l2loopback
-Section: graphics
-Priority: extra
-Maintainer: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
+Section: kernel
+Priority: optional
+Maintainer: IOhannes m zmölnig <zmoelnig@iem.at>
 Build-Depends: cdbs,
- debhelper,
+ debhelper (>= 7),
  dh-buildinfo,
  devscripts,
  help2man (>= 1.37.1~),
  dkms,
  bzip2
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://github.com/umlaeute/v4l2loopback
 Vcs-Git: git://anonscm.debian.org/collab-maint/v4l2loopback
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/v4l2loopback.git
@@ -17,7 +17,7 @@
 Package: v4l2loopback-source
 Architecture: all
 Depends: ${misc:Depends},
- debhelper (>= 7),
+ debhelper (>=7),
  make, 
  bzip2
 Recommends: module-assistant
@@ -43,6 +43,7 @@
  to be built with dkms.
 
 Package: v4l2loopback-utils
+Section: graphics
 Architecture: all
 Depends: ${misc:Depends},
  gstreamer0.10-tools,

=== debian/rules ===
--- 
+++ 
@@ -43,15 +43,11 @@
 	tar jcf debian/v4l2loopback-source/usr/src/v4l2loopback.tar.bz2 \
 		-C debian/tmp modules
 
-debian/v4l2loopback-dkms.dkms: debian/v4l2loopback-dkms.dkms.in
-	sed s/@VERSION@/$(DEB_UPSTREAM_VERSION)/g $< > $@
-
-install/v4l2loopback-dkms:: debian/v4l2loopback-dkms.dkms
+install/v4l2loopback-dkms::
 	# Create the v4l2loopback-dkms package.
 	dh_install -p$(cdbs_curpkg) Makefile usr/src/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
 	dh_install -p$(cdbs_curpkg) *.[chS]  usr/src/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
 	dh_dkms -p$(cdbs_curpkg)
-	-rm $<
 
 ## building manpages
 CDBS_BUILD_DEPENDS += , help2man (>= 1.37.1~)

=== debian/watch ===
version=3
opts="uversionmangle=s/^\/v//;s/\/0~master/0/" \
http://githubredir.debian.net/github/umlaeute/v4l2loopback (.*).tar.gz

## v4l2loopback 0.9.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-KERNEL_VERSION	:= `uname -r`
-KERNEL_DIR	:= /lib/modules/$(KERNEL_VERSION)/build
+KERNELRELEASE	?= `uname -r`
+KERNEL_DIR	?= /lib/modules/$(KERNELRELEASE)/build
 PWD		:= $(shell pwd)
 obj-m		:= v4l2loopback.o
 
-PREFIX = /usr/local
-BINDIR = $(PREFIX)/bin
-MANDIR = $(PREFIX)/share/man
+PREFIX ?= /usr/local
+BINDIR  = $(PREFIX)/bin
+MANDIR  = $(PREFIX)/share/man
 MAN1DIR = $(MANDIR)/man1
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL) -p -m 755
@@ -41,20 +41,25 @@
 v4l2loopback.ko:
 	@echo "Building v4l2-loopback driver..."
 	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules
+
 install-all: install install-utils install-man
 install:
 	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules_install
-	depmod -ae
+	depmod -a  $(KERNELRELEASE)
+
 install-utils: utils/v4l2loopback-ctl
 	$(INSTALL_DIR) "$(DESTDIR)$(BINDIR)"
 	$(INSTALL_PROGRAM) $< "$(DESTDIR)$(BINDIR)"
+
 install-man: man/v4l2loopback-ctl.1
 	$(INSTALL_DIR) "$(DESTDIR)$(MAN1DIR)"
 	$(INSTALL_DATA) $< "$(DESTDIR)$(MAN1DIR)"
+
 clean:
 	rm -f *~
 	rm -f Module.symvers Module.markers modules.order
 	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) clean
+
 distclean: clean
 	rm -f man/v4l2loopback-ctl.1
 
@@ -64,6 +69,5 @@
 	-sudo rmmod v4l2loopback
 	sudo insmod ./v4l2loopback.ko $(MODULE_OPTIONS)
 
-
 man/v4l2loopback-ctl.1: utils/v4l2loopback-ctl
 	help2man -N --name "control v4l2 loopback devices" $^ > $@

=== debian/changelog ===
v4l2loopback (0.9.1-4) unstable; urgency=medium

  * Sort output in generated tarball.
    Thanks to Reiner Herrmann <reiner@reiner-h.de> (Closes: #803183)
  * Use https://
    - in Vcs-* stanzas
    - for homepage
  * Added README.source to point out CDBS peculiarities
  * Regenerated debian/control|copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Oct 2015 20:46:45 +0100

v4l2loopback (0.9.1-3) unstable; urgency=medium

  * Migrate to GStreamer-1.0 (Closes: #799721)
    - Switch ctl-script to use GStreamer-1.0
    - Depend on gstreamer1.0-tools
  * ctl-script depends on sudo

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Oct 2015 21:09:17 +0200

v4l2loopback (0.9.1-2) unstable; urgency=medium

  * Include v4l2loopback_formats.h in v4l2loopback-source pkg (Closes: #793435)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 25 Jul 2015 21:47:02 +0200

v4l2loopback (0.9.1-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 03 Jun 2015 19:51:48 +0200

v4l2loopback (0.9.0-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.9.0

  * Updated debian/watch to new github redirector
  * Upstream now comes with README.md
  * Updated debian/copyright{_hints}

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 02 Jun 2015 20:58:11 +0200

v4l2loopback (0.8.0-5) unstable; urgency=medium

  * Fixate time-stamp for reproducible builds (Closes: #778456)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Apr 2015 22:24:11 +0200

v4l2loopback (0.8.0-4) unstable; urgency=medium

  * Build manpages as part of building v4l2loopback-utils (Closes: #764121)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Oct 2014 21:21:45 +0200

v4l2loopback (0.8.0-3) unstable; urgency=medium

  * Getting make-dependencies right (Closes: #757318)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 04 Sep 2014 15:06:49 +0200

v4l2loopback (0.8.0-2) unstable; urgency=medium

  * Disabled v4l2loopback-utils on non-linux (Closes: #756401)
  * Fixed my Maintainer address
  * Updated debian/(control,copyright_hints)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Jul 2014 17:17:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: IOhannes m zmölnig <zmoelnig@iem.at>
+Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: cdbs,
- debhelper (>= 7),
+ debhelper,
  dh-buildinfo,
  devscripts,
  help2man (>= 1.37.1~),
  dkms,
+ tar (>= 1.28),
  bzip2
-Standards-Version: 3.9.5
-Homepage: http://github.com/umlaeute/v4l2loopback
+Standards-Version: 3.9.6
+Homepage: https://github.com/umlaeute/v4l2loopback
 Vcs-Git: git://anonscm.debian.org/collab-maint/v4l2loopback
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/v4l2loopback.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/v4l2loopback.git
 
 Package: v4l2loopback-source
 Architecture: all
@@ -44,9 +45,10 @@
 
 Package: v4l2loopback-utils
 Section: graphics
-Architecture: all
+Architecture: linux-any
 Depends: ${misc:Depends},
- gstreamer0.10-tools,
+ sudo,
+ gstreamer1.0-tools,
  v4l-utils
 Recommends: v4l2loopback-dkms |  v4l2loopback-modules
 Description: Commandline utilities for the for the v4l2-loopback module

=== debian/watch ===
# process with uscan(1)
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/v4l2loopback-$1\.tar\.gz/ \
  https://github.com/umlaeute/v4l2loopback/tags .*/v?(\d\S*)\.tar\.gz

## v4l2loopback 0.10.0

=== examples/Makefile ===
TARGETS=test yuv4mpeg_to_v4l2 ondemandcam

.PHONY: all clean

all: $(TARGETS)

ondemandcam: ondemandcam.c
	gcc -o ondemandcam ondemandcam.c -lrt -lpthread

clean:
	-rm $(TARGETS)

=== tests/Makefile ===
all: test_dqbuf

=== debian/changelog ===
v4l2loopback (0.10.0-1ubuntu1.2) bionic; urgency=medium

  * Fix build for kernel 5.3 (LP: #1844719)
    - 0003-Replace-v4l2_get_timestamp-with-ktime_get_ts-64

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 19 Sep 2019 16:06:37 -0300

v4l2loopback (0.10.0-1ubuntu1.1) bionic; urgency=medium

  * Fix build for kernel 5.0 (LP: #1828615)
    - debian/patches/0002-Replace-do_gettimeofday-with-v4l2_get_timestamp.patch

 -- Connor Kuehl <connor.kuehl@canonical.com>  Fri, 10 May 2019 11:32:46 -0700

v4l2loopback (0.10.0-1ubuntu1) bionic; urgency=medium

  * Add support for Linux kernel 4.15 (LP: #1737758):
    - debian/patches/0001-Adapt-to-new-kernel-timer-API.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 08 Feb 2018 14:42:01 +0000

v4l2loopback (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
    (Closes: #816768, #800605)

  * Removed patches applied upstream.
  * Updated d/copyright
  * Updated d/watch to filter-out non-release tags
  * Notes on how to properly clone the packaging repo
  * Reformatted of multi-values fields
  * Updated Vcs-* stanzas (https)
  * v4l2loopback-utils is Multi-Arch:same
  * Bumped debhelper compat to 9
  * Bumped standards-version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 03 Dec 2016 20:49:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: cdbs,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Build-Depends:
+ cdbs,
  debhelper,
  dh-buildinfo,
- devscripts,
+ licensecheck,
  help2man (>= 1.37.1~),
  dkms,
  tar (>= 1.28),
- bzip2
-Standards-Version: 3.9.6
+ bzip2,
+Standards-Version: 3.9.8
 Homepage: https://github.com/umlaeute/v4l2loopback
-Vcs-Git: git://anonscm.debian.org/collab-maint/v4l2loopback
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/v4l2loopback.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/v4l2loopback.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/v4l2loopback.git
 
 Package: v4l2loopback-source
 Architecture: all
-Depends: ${misc:Depends},
- debhelper (>=7),
+Depends:
+ ${misc:Depends},
+ debhelper,
  make, 
- bzip2
-Recommends: module-assistant
+ bzip2,
+Recommends:
+ module-assistant
 Description: Source for the v4l2loopback driver
  This module allows you to create "virtual video devices".
  Normal (v4l2) applications will read these devices as if they were ordinary
@@ -32,7 +36,8 @@
 
 Package: v4l2loopback-dkms
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Suggests: v4l2loopback-utils
 Description: Source for the v4l2loopback driver (DKMS)
  This module allows you to create "virtual video devices".
@@ -46,11 +51,14 @@
 Package: v4l2loopback-utils
 Section: graphics
 Architecture: linux-any
-Depends: ${misc:Depends},
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
  sudo,
  gstreamer1.0-tools,
- v4l-utils
-Recommends: v4l2loopback-dkms |  v4l2loopback-modules
+ v4l-utils,
+Recommends:
+ v4l2loopback-dkms |  v4l2loopback-modules,
 Description: Commandline utilities for the for the v4l2-loopback module
  This package contains applications to interact with v4l2-loopback devices
  ("virtual video devices").

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2008 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
-# Copyright © 2010-2011 IOhannes m zmölnig <zmoelnig@iem.at>
+# Copyright © 2010-2014 IOhannes m zmölnig <umlaeute@debian.org>
 # Description: Main Debian packaging script for v4l2loopback-sorce
 #
 # This program is free software; you can redistribute it and/or
@@ -20,14 +20,16 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
+BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
+
 install/v4l2loopback-source::
 
 	# install source code and create directory
 	install -D -m 0755  Makefile \
 		debian/tmp/modules/v4l2loopback/Makefile
-	install -m 0644  v4l2loopback.c \
+	install -m 0644  v4l2loopback.c v4l2loopback_formats.h \
 		debian/tmp/modules/v4l2loopback/
-	install -m 0644  README NEWS AUTHORS ChangeLog \
+	install -m 0644  README.md NEWS AUTHORS ChangeLog \
 		debian/tmp/modules/v4l2loopback/
 
 	# Enforce executable bit on debian/rules, and create directory
@@ -40,8 +42,8 @@
 			debian/tmp/modules/v4l2loopback/debian/; \
 	done
 	# Prepare the debian source tarball
-	tar jcf debian/v4l2loopback-source/usr/src/v4l2loopback.tar.bz2 \
-		-C debian/tmp modules
+	tar --sort=name -jcf debian/v4l2loopback-source/usr/src/v4l2loopback.tar.bz2 \
+		-C debian/tmp --mtime="$(BUILD_DATE)" modules
 
 install/v4l2loopback-dkms::
 	# Create the v4l2loopback-dkms package.
@@ -52,9 +54,11 @@
 ## building manpages
 CDBS_BUILD_DEPENDS += , help2man (>= 1.37.1~)
 manpages=man/v4l2loopback-ctl.1
-common-binary-indep:: $(manpages)
-clean::
+build/v4l2loopback-utils:: $(manpages)
+clean:: clean-manpages
+
+.PHONY: clean-manpages
+clean-manpages:
 	rm -f $(manpages)
-
 man/v4l2loopback-ctl.1: utils/v4l2loopback-ctl
 	help2man -N --name "control v4l2 loopback devices" $^ > $@

## v4l2loopback 0.12.0

=== debian/changelog ===
v4l2loopback (0.12.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Jul 2018 11:25:15 +0200

v4l2loopback (0.12.0-3~exp5) experimental; urgency=medium

  * Fixed typo in module-assistant invocation
  * DKMS tests require "recommended" packages

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 15 Jul 2018 21:46:21 +0200

v4l2loopback (0.12.0-3~exp4) experimental; urgency=medium

  * Re-did DKMS test to no longer be flaky
  * Fixed module-assistant to build with any kernel-headers

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 13 Jul 2018 10:20:28 +0200

v4l2loopback (0.12.0-3~exp3) experimental; urgency=medium

  * Mark dkms-test as "flaky"
  * Have m-a test depends on g++

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Jul 2018 23:01:23 +0200

v4l2loopback (0.12.0-3~exp2) experimental; urgency=medium

  * Simplified module-assistant test

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Jul 2018 21:45:59 +0200

v4l2loopback (0.12.0-3~exp1) experimental; urgency=medium

  * Fixed dkms-autopkgtest
  * Simplistic test for module-assistant

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Jul 2018 18:15:34 +0200

v4l2loopback (0.12.0-2) unstable; urgency=medium

  * Made build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #903098)
  * Added autopkgtest (for the dkms module)
  * Dropped documentation reference of d/control.in

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 10 Jul 2018 23:29:10 +0200

v4l2loopback (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0

  * Dropped d/control.in
  * v4l2loopback-utils is really Arch:all
  * Set Rules-Requires-Root to "no"
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Jul 2018 00:22:49 +0200

v4l2loopback (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0

  * Updated d/copyright
  * Removed trailing whitespace in d/control.in and d/changelog
  * Updated Vcs-* stanzas to salsa.d.o
  * Regenerated d/control
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Mar 2018 21:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends:
  cdbs,
  debhelper,
@@ -12,20 +11,21 @@
  dkms,
  tar (>= 1.28),
  bzip2,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Homepage: https://github.com/umlaeute/v4l2loopback
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/v4l2loopback.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/v4l2loopback.git
+Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git
+Vcs-Browser: https://salsa.debian.org/debian/v4l2loopback
 
 Package: v4l2loopback-source
 Architecture: all
 Depends:
  ${misc:Depends},
  debhelper,
- make, 
+ make,
  bzip2,
 Recommends:
- module-assistant
+ module-assistant,
 Description: Source for the v4l2loopback driver
  This module allows you to create "virtual video devices".
  Normal (v4l2) applications will read these devices as if they were ordinary
@@ -37,8 +37,9 @@
 Package: v4l2loopback-dkms
 Architecture: all
 Depends:
- ${misc:Depends}
-Suggests: v4l2loopback-utils
+ ${misc:Depends},
+Suggests:
+ v4l2loopback-utils,
 Description: Source for the v4l2loopback driver (DKMS)
  This module allows you to create "virtual video devices".
  Normal (v4l2) applications will read these devices as if they were ordinary
@@ -50,8 +51,7 @@
 
 Package: v4l2loopback-utils
 Section: graphics
-Architecture: linux-any
-Multi-Arch: same
+Architecture: all
 Depends:
  ${misc:Depends},
  sudo,
@@ -65,4 +65,3 @@
  Currently there is only a single command line utility:
  .
  v4l2loopback-ctl: tool to set framerate, format and timeout image
-

## v4l2loopback 0.12.1

=== debian/changelog ===
v4l2loopback (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
    (LP: #1813070)

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_ARTIFACTS instead of ADT_ARTIFACTS

  [ IOhannes m zmölnig ]
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 02 Feb 2019 20:56:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	done
 	# Prepare the debian source tarball
 	tar --sort=name -jcf debian/v4l2loopback-source/usr/src/v4l2loopback.tar.bz2 \
+		--owner=0 --group=0 --numeric-owner \
 		-C debian/tmp --mtime="$(BUILD_DATE)" modules
 
 install/v4l2loopback-dkms::
@@ -52,7 +53,6 @@
 	dh_dkms -p$(cdbs_curpkg)
 
 ## building manpages
-CDBS_BUILD_DEPENDS += , help2man (>= 1.37.1~)
 manpages=man/v4l2loopback-ctl.1
 build/v4l2loopback-utils:: $(manpages)
 clean:: clean-manpages

=== debian/tests/control ===
Tests: dkms-autopkgtest
Restrictions: needs-recommends, needs-root, allow-stderr
Depends: v4l2loopback-dkms

Test-Command: module-assistant --text-mode --verbose --kernel-dir "$(echo  --kvers-list none build v4l2loopback /usr/src/linux-headers-*)" --kvers-list none build v4l2loopback
Restrictions: needs-root, allow-stderr
Depends: v4l2loopback-source, module-assistant, build-essential, g++, linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers

## v4l2loopback 0.12.2

=== debian/changelog ===
v4l2loopback (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2

  * Drop versioned B-Ds where version is satisfied in oldoldstable
  * Switched build-system from CDBS to DH
    * Install TODO
    * Use symlinks to get additional documentation for all binary packages
  * Update autopkgtests
    * Explicit Depends on autopkgtests
    * Drop obsolete "needs-recommmends" restriction
    * Add "isolation-machine" restriction
      (Closes: #934709)
    * Use a script for module-assistant autopkgtest
  * Bump dh-compat to 12
    * Use debhelper-compat instead of d/compat
    * Use dh_prep rather than "dh_clean -k"
  * Bump standards version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Aug 2019 11:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,13 @@
 Section: kernel
 Priority: optional
 Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends:
- cdbs,
- debhelper,
- dh-buildinfo,
+Build-Depends: debhelper-compat (= 12),
  licensecheck,
- help2man (>= 1.37.1~),
+ help2man,
  dkms,
  tar (>= 1.28),
  bzip2,
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://github.com/umlaeute/v4l2loopback
 Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git

## v4l2loopback 0.12.3

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,6 @@
 install-all: install install-utils install-man
 install:
 	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules_install
-	depmod -a  $(KERNELRELEASE)
 
 install-utils: utils/v4l2loopback-ctl
 	$(INSTALL_DIR) "$(DESTDIR)$(BINDIR)"

=== debian/changelog ===
v4l2loopback (0.12.3-1) unstable; urgency=medium

  * New upstream version 0.12.3
  * Refresh d/copyright
  * Bump standards-version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 07 Dec 2019 19:26:02 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dkms,
  tar (>= 1.28),
  bzip2,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://github.com/umlaeute/v4l2loopback
 Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

name = $(DEB_SOURCE)
version	 = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with dkms

build:
	@echo "=============== BUILD =============="

override_dh_auto_build:

override_dh_auto_clean:
	rm -f man/v4l2loopback-ctl.1

override_dh_installman:
	help2man -N --name "control v4l2 loopback devices" utils/v4l2loopback-ctl > man/v4l2loopback-ctl.1
	dh_installman

override_dh_dkms:
	dh_dkms -p$(name)-dkms -V $(version)

override_dh_auto_install:
	# v4l2loopback-dkms
	dh_installdirs -p$(name)-dkms usr/src/$(name)-$(version)
	dh_install -p$(name)-dkms Makefile usr/src/$(name)-$(version)
	dh_install -p$(name)-dkms *.[chS]  usr/src/$(name)-$(version)
	# bbswitch-source (for use with module-assistant)
	dh_installdirs -p$(name)-source usr/src/modules/$(name)/debian
	dh_install -p$(name)-source Makefile usr/src/modules/$(name)
	dh_install -p$(name)-source *.[chS] usr/src/modules/$(name)
	dh_install -p$(name)-source README.md NEWS AUTHORS ChangeLog TODO usr/src/modules/$(name)
	install -D -m 0755 debian/rules.modules debian/$(name)-source/usr/src/modules/$(name)/debian/rules
	for file in control.modules.in control copyright changelog docs README.Debian; do \
		install -m 644 debian/$$file debian/$(name)-source/usr/src/modules/$(name)/debian/; \
	done
	tar cfj debian/$(name)-source/usr/src/$(name).tar.bz2 \
		--owner=root --group=src --mode=go=rX,u+rw,a-s --numeric-owner \
		--sort=name  --mtime="@$(SOURCE_DATE_EPOCH)" \
		-C debian/$(name)-source/usr/src \
		modules
	rm -rf debian/$(name)-source/usr/src/modules

## v4l2loopback 0.12.5

=== debian/changelog ===
v4l2loopback (0.12.5-1) unstable; urgency=medium

  * New upstream version 0.12.5
  * Add salsa-ci configuration
  * Drop outdated d/README.Debian

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 22 Apr 2020 16:36:06 +0200

v4l2loopback (0.12.4-1) unstable; urgency=medium

  * New upstream version 0.12.4
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 11 Apr 2020 23:01:58 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dkms,
  tar (>= 1.28),
  bzip2,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/umlaeute/v4l2loopback
 Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	dh_install -p$(name)-source *.[chS] usr/src/modules/$(name)
 	dh_install -p$(name)-source README.md NEWS AUTHORS ChangeLog TODO usr/src/modules/$(name)
 	install -D -m 0755 debian/rules.modules debian/$(name)-source/usr/src/modules/$(name)/debian/rules
-	for file in control.modules.in control copyright changelog docs README.Debian; do \
+	for file in control.modules.in control copyright changelog docs; do \
 		install -m 644 debian/$$file debian/$(name)-source/usr/src/modules/$(name)/debian/; \
 	done
 	tar cfj debian/$(name)-source/usr/src/$(name).tar.bz2 \

=== debian/tests/control ===
Tests: dkms-autopkgtest
Restrictions: isolation-machine, needs-root, allow-stderr
Depends: v4l2loopback-dkms, dkms, build-essential, linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers

Tests: ma-autopkgtest
Restrictions: isolation-machine, needs-root, allow-stderr
Depends: v4l2loopback-source, module-assistant

## v4l2loopback 0.12.7

=== debian/changelog ===
v4l2loopback (0.12.7-2ubuntu2~22.04.1) jammy; urgency=medium

  * Backport dkms support for HWE kernels. LP: #1999670

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 16 Jan 2023 11:22:08 +0000

v4l2loopback (0.12.7-2ubuntu2) kinetic; urgency=medium

  * Preserve CC setting when invoking sub-make, to ensure module can be
    built correctly with the kernel's custom compiler. Fixes FTBFS in
    hwe-5.19 build. LP: #1991664

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 06 Oct 2022 15:01:47 +0100

v4l2loopback (0.12.7-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian, remaining changes:
    - drop module-assistant autopkgtest
    - add Ubuntu patch track active-readers
    - add Ubuntu patch implement support for V4L2_EVENT_PRI_CLIENT_USAGE

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 16 Aug 2022 16:36:31 +0100

v4l2loopback (0.12.7-2) unstable; urgency=medium

  * Fix DKMS build on linux>=5.18

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 05 Aug 2022 18:22:57 +0200

v4l2loopback (0.12.7-1) unstable; urgency=medium

  * New upstream version 0.12.7

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Switch to Testsuite: autopkgtest-pkg-dkms.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster

  [ IOhannes m zmölnig ]
  * Drop patches applied upstream
  * Drop unnecessary B-Ds
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 05 Aug 2022 00:47:27 +0200

v4l2loopback (0.12.5-1ubuntu7) kinetic; urgency=medium

  * Drop obsolte REMAKE_INITRD option from dkms.conf.
  * Update module init & exit calls to use kernel provided macros, such
    that they gain correct IBT attributes. LP: #1980484

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 11 Jul 2022 16:14:38 +0100

v4l2loopback (0.12.5-1ubuntu6) kinetic; urgency=low

  * Check CONFIG_VIDEO_DEV against kernel version >= 5.18. (LP: #1970983)

 -- You-Sheng Yang <vicamo.yano@canonical.com>  Tue, 03 May 2022 03:55:33 +0000

v4l2loopback (0.12.5-1ubuntu5) jammy; urgency=medium

  * Drop manual and out of date dkms autopkgtests in favour of
    automatically generated ones with autodep8. Unblocks migration of
    linux-kvm kernel.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 12 Apr 2022 09:30:03 +0100

v4l2loopback (0.12.5-1ubuntu4) jammy; urgency=medium

  * Only attempt building module for kernels that have CONFIG_VIDEO_V4L2
    turned on. LP: #1968191

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 07 Apr 2022 16:37:40 +0100

v4l2loopback (0.12.5-1ubuntu3) impish; urgency=medium

  * Don't fail if allocating 0-sized buffers (LP: #1936250)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 29 Jul 2021 17:54:49 +0000

v4l2loopback (0.12.5-1ubuntu2) impish; urgency=low

  * Fix coverity errors. (LP: #1930208)

 -- You-Sheng Yang <vicamo.yano@canonical.com>  Fri, 09 Jul 2021 18:08:29 +0800

v4l2loopback (0.12.5-1ubuntu1) hirsute; urgency=medium

  * Support client usage notification via V4l2 Event API (LP: #1921474)
    - dev: initialize per opener v4l2_fh
    - event: install event (un)subscribe hook
    - event: support polling for events
    - event: fix backward compatibility to 3.16
    - UBUNTU: SAUCE: track active readers
    - UBUNTU: SAUCE: event: support V4L2_EVENT_PRI_CLIENT_USAGE
    - compliance: stop declaring V4L2_CAP_VIDEO_M2M capability
    - compliance: fix vidioc_enum_frameintervals in output side
    - compliance: fix enum frame sizes/intervals errors
    - compliance: fix "fmtdesc.type was modified" error

 -- You-Sheng Yang <vicamo.yano@canonical.com>  Mon, 29 Mar 2021 17:02:42 +0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: debhelper-compat (= 12),
- licensecheck,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-dkms,
  help2man,
- dkms,
- tar (>= 1.28),
  bzip2,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/umlaeute/v4l2loopback
 Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git
 Vcs-Browser: https://salsa.debian.org/debian/v4l2loopback
+Testsuite: autopkgtest-pkg-dkms
 
 Package: v4l2loopback-source
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 version	 = $(DEB_VERSION_UPSTREAM)
 
 %:
-	dh $@ --with dkms
+	dh $@
 
 build:
 	@echo "=============== BUILD =============="

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/v4l2loopback-$1\.tar\.gz/ \
  https://github.com/umlaeute/v4l2loopback/tags .*/v4l2.*/v?(\d\S*)\.tar\.gz
